from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.0.27'
DESCRIPTION = 'Helper for S3 server access and API Communications'

# Setting up
setup(
    name="visionservicehelper",
    version=VERSION,
    author="Johannes Zellinger",
    author_email="<johannes.zellinger@scch.at>",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    url="https://www.scch.at",
    install_requires=['numpy', 'PILLOW', 'minio', 'requests', 'pycocotools'],
    keywords=['python', 's3', 'amazon', 'API', 'Webservice'],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Operating System :: OS Independent",
        "Development Status :: 2 - Pre-Alpha"
    ]
)